<?php
declare(strict_types=1);

namespace Catequil\Db\Type;

use DateTimeImmutable;

/**
 * Class DateImmutableKey
 *
 * @package Catequil\Db\Type
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautka/catequil-db
 */
final class DateImmutableKey extends DateTimeImmutable
{
    public function __toString(): string
    {
        return $this->format('Y-m-d');
    }

    public static function fromDateTimeImmutable(DateTimeImmutable $dateTimeImmutable): DateImmutableKey
    {
        /** @noinspection PhpUnhandledExceptionInspection */
        return new self($dateTimeImmutable->format('Y-m-d'));
    }
}